[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TButtonGlyph.CacheSetImageIndex

Sets the button state for the image in AIndex to the value specified in AImageIndex.

## Declaration

Source position: buttons.pp line 112

`public procedure TButtonGlyph.CacheSetImageIndex(`
`AIndex: Integer;`
`AImageIndex: Integer`
`);`

## Arguments

`AIndex` |  | Position of the Button state applied to the specified image.
`AImageIndex` |  | Position of the Image updated in the method.